#
# spec file for package perl-Socket-MsgHdr
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Socket-MsgHdr
Version:        0.05
Release:        1.36
%define cpan_name Socket-MsgHdr
Summary:        Sendmsg, Recvmsg and Ancillary Data Operations
License:        GPL-1.0-or-later OR Artistic-1.0
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/F/FE/FELIPE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Socket::MsgHdr provides advanced socket messaging operations via sendmsg
and recvmsg. Like their C counterparts, these functions accept few
parameters, instead stuffing a lot of information into a complex structure.

This structure describes the message sent or received (buf), the peer on
the other end of the socket (name), and ancillary or so-called control
information (cmsghdr). This ancillary data may be used for file descriptor
passing, IPv6 operations, and a host of implemenation-specific extensions.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING README
%license LICENSE

%changelog
* Thu Dec  6 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.05
  see /usr/share/doc/packages/perl-Socket-MsgHdr/Changes
  0.05 Fri Nov 30 2018
  - No changes.
  0.04_03 Fri Nov 30 2018
  - Fix runtime loads. (FG)
  0.04_02 Mon Jan 11 23:09:10 2010
  - (hints/solaris.pl, MSWin32.pl) Add -D_XOPEN_SOURCE=520 to treat
    i86pc-solaris smoke test failures, also force "N/A" on MSWin32.
- Drop perl-Socket-MsgHdr.diff: integrated upstream
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Fri Jan  8 2010 mls@suse.de
- update to Socket-MsgHdr-0.04 to get rid of patches
* Sun Dec 20 2009 jengelh@medozas.de
- enable parallel build
* Wed May 31 2006 mls@suse.de
- initial revision
